Update Ml Settings
PUT /api/creative/lore/ml/settings
Update per-project ML settings. Persisted in project settings JSON.
Request Body required
Section titled “Request Body required ”Complete per-project ML settings. All values have sensible defaults.
object
Pipeline-level training settings.
object
Min entries to enable ML training
Corpus growth % to trigger retrain
Anomaly detection settings.
object
Signal weights for multi-signal anomaly detection (must sum to ~1.0).
object
Minimum entries required to run anomaly detection
Min signal score to generate a reason string
Composite score threshold for logging flagged anomalies
Connections needed for 0.0 orphan score
Days behind sibling for max staleness score
Z-score divisor for size outlier normalization
IsolationForest contamination parameter
Similarity detection settings.
object
Min similarity for suggesting a link
Min similarity for near-duplicate detection
Min mentions for a missing entry suggestion
Max suggested links returned
Max near-duplicates returned
Max missing entries returned
Clustering settings.
object
Maximum clusters allowed
Minimum clusters floor
Max TF-IDF features for tag encoding
Max categories for one-hot encoding
Max TF-IDF features for cluster label generation
Min characters for a word to appear in cluster labels
Contradiction detection settings.
object
Min mentions for contradiction check
Snippet embedding similarity below this = potential contradiction
Below this = medium severity (else low)
Max mentions compared per entity
Stop after finding this many
Maturity tier thresholds (each 0.0-1.0).
object
Coverage analysis settings.
object
Below this % of avg = gap
Min co-occurrence count to include a tag pair
Max top tags to return
Max co-occurring pairs to return
Health scoring settings.
object
Exponential decay rate for contradiction ratio. Higher = harsher.
Exponential decay rate for anomaly ratio. Higher = harsher.
Consistency dimension weight
Depth dimension weight
Breadth dimension weight
Interconnectedness dimension weight
Maturity dimension weight
KGE coherence dimension weight
Target avg_positive_score for 100% coherence (when MRR unavailable)
Semantic connectivity weight in interconnectedness blend
Relationship participation weight in interconnectedness blend
Link fulfillment weight in interconnectedness blend
Entity importance tier percentile thresholds.
object
Tag analysis settings.
object
Min tag frequency to be considered common
Max TF-IDF features for tag analysis
Maximum tag clusters to discover
Cross-reference validation settings.
object
Min shared secret words to flag leakage
Embedding similarity threshold for semantic leakage
Embedding/ChromaDB settings.
object
Max characters sent to embedding model
Knowledge Graph Embedding (ComplEx) training settings.
object
ComplEx embedding dimension
Training epochs
Adam learning rate
Negative samples per positive triple
Margin for margin-based loss
Training batch size
Spectral graph embedding settings.
object
Number of spectral dimensions
Embedding fusion weight settings. Controls how semantic, KGE, and spectral signals blend.
object
Weight for semantic (ChromaDB) embeddings
Weight for KGE (ComplEx) embeddings
Weight for spectral graph embeddings
NLI (Natural Language Inference) contradiction detection settings.
object
Min probability to flag
High-severity threshold
NLI inference batch size
Max candidate pairs to evaluate per run
Relationship type classification settings (Layer 2).
object
Auto-assign above this confidence
Suggest above this confidence
Enable relationship classification
Impact propagation settings (Layer 3).
object
Max hops in impact chain
Min strength to include in chain
Strength multiplier per hop
Responses
Section titled “ Responses ”Successful Response
Complete per-project ML settings. All values have sensible defaults.
object
Pipeline-level training settings.
object
Min entries to enable ML training
Corpus growth % to trigger retrain
Anomaly detection settings.
object
Signal weights for multi-signal anomaly detection (must sum to ~1.0).
object
Minimum entries required to run anomaly detection
Min signal score to generate a reason string
Composite score threshold for logging flagged anomalies
Connections needed for 0.0 orphan score
Days behind sibling for max staleness score
Z-score divisor for size outlier normalization
IsolationForest contamination parameter
Similarity detection settings.
object
Min similarity for suggesting a link
Min similarity for near-duplicate detection
Min mentions for a missing entry suggestion
Max suggested links returned
Max near-duplicates returned
Max missing entries returned
Clustering settings.
object
Maximum clusters allowed
Minimum clusters floor
Max TF-IDF features for tag encoding
Max categories for one-hot encoding
Max TF-IDF features for cluster label generation
Min characters for a word to appear in cluster labels
Contradiction detection settings.
object
Min mentions for contradiction check
Snippet embedding similarity below this = potential contradiction
Below this = medium severity (else low)
Max mentions compared per entity
Stop after finding this many
Maturity tier thresholds (each 0.0-1.0).
object
Coverage analysis settings.
object
Below this % of avg = gap
Min co-occurrence count to include a tag pair
Max top tags to return
Max co-occurring pairs to return
Health scoring settings.
object
Exponential decay rate for contradiction ratio. Higher = harsher.
Exponential decay rate for anomaly ratio. Higher = harsher.
Consistency dimension weight
Depth dimension weight
Breadth dimension weight
Interconnectedness dimension weight
Maturity dimension weight
KGE coherence dimension weight
Target avg_positive_score for 100% coherence (when MRR unavailable)
Semantic connectivity weight in interconnectedness blend
Relationship participation weight in interconnectedness blend
Link fulfillment weight in interconnectedness blend
Entity importance tier percentile thresholds.
object
Tag analysis settings.
object
Min tag frequency to be considered common
Max TF-IDF features for tag analysis
Maximum tag clusters to discover
Cross-reference validation settings.
object
Min shared secret words to flag leakage
Embedding similarity threshold for semantic leakage
Embedding/ChromaDB settings.
object
Max characters sent to embedding model
Knowledge Graph Embedding (ComplEx) training settings.
object
ComplEx embedding dimension
Training epochs
Adam learning rate
Negative samples per positive triple
Margin for margin-based loss
Training batch size
Spectral graph embedding settings.
object
Number of spectral dimensions
Embedding fusion weight settings. Controls how semantic, KGE, and spectral signals blend.
object
Weight for semantic (ChromaDB) embeddings
Weight for KGE (ComplEx) embeddings
Weight for spectral graph embeddings
NLI (Natural Language Inference) contradiction detection settings.
object
Min probability to flag
High-severity threshold
NLI inference batch size
Max candidate pairs to evaluate per run
Relationship type classification settings (Layer 2).
object
Auto-assign above this confidence
Suggest above this confidence
Enable relationship classification
Impact propagation settings (Layer 3).
object
Max hops in impact chain
Min strength to include in chain
Strength multiplier per hop
Validation Error